Share via


Start Stop Managed Instance Schedules - Get

Gets the managed instance's Start/Stop schedule.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/startStopSchedules/default?api-version=2025-01-01

URI Parameters

Name In Required Type Description
managedInstanceName
path True

string

The name of the managed instance.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

startStopScheduleName
path True

StartStopScheduleName

Name of the managed instance Start/Stop schedule.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

StartStopManagedInstanceSchedule

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Gets the managed instance's Start/Stop schedule.

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/schedulerg/providers/Microsoft.Sql/managedInstances/schedulemi/startStopSchedules/default?api-version=2025-01-01

Sample response

{
  "name": "default",
  "type": "Microsoft.Sql/managedInstances/startStopSchedules",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/schedulerg/providers/Microsoft.Sql/managedInstances/schedulemi/startStopSchedules/default",
  "properties": {
    "description": "This is a schedule for our Dev/Test environment.",
    "nextExecutionTime": "2021-08-26T14:00:00",
    "nextRunAction": "Stop",
    "scheduleList": [
      {
        "startDay": "Thursday",
        "startTime": "06:00 PM",
        "stopDay": "Thursday",
        "stopTime": "05:00 PM"
      },
      {
        "startDay": "Thursday",
        "startTime": "03:00 PM",
        "stopDay": "Thursday",
        "stopTime": "02:00 PM"
      }
    ],
    "timeZoneId": "Central European Standard Time"
  },
  "systemData": {
    "createdAt": "2021-08-26T04:41:33.937Z",
    "createdBy": "string",
    "createdByType": "User",
    "lastModifiedAt": "2021-08-27T04:41:33.937Z",
    "lastModifiedBy": "string",
    "lastModifiedByType": "User"
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

DayOfWeek

Day of maintenance window.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ScheduleItem

Schedule info describing when the server should be started or stopped.

StartStopManagedInstanceSchedule

Managed instance's Start/Stop schedule.

StartStopScheduleName
systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DayOfWeek

Day of maintenance window.

Value Description
Sunday

Sunday

Monday

Monday

Tuesday

Tuesday

Wednesday

Wednesday

Thursday

Thursday

Friday

Friday

Saturday

Saturday

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ScheduleItem

Schedule info describing when the server should be started or stopped.

Name Type Description
startDay

DayOfWeek

Start day.

startTime

string

Start time.

stopDay

DayOfWeek

Stop day.

stopTime

string

Stop time.

StartStopManagedInstanceSchedule

Managed instance's Start/Stop schedule.

Name Type Default value Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.description

string

The description of the schedule.

properties.nextExecutionTime

string

Timestamp when the next action will be executed in the corresponding schedule time zone.

properties.nextRunAction

string

Next action to be executed (Start or Stop)

properties.scheduleList

ScheduleItem[]

Schedule list.

properties.timeZoneId

string

UTC

The time zone of the schedule.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

StartStopScheduleName

Value Description
default

default

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.